<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for JPSOAP_HotelInventoryContactInfo StructType
 * @subpackage Structs
 */
class JPSOAP_HotelInventoryContactInfo extends AbstractStructBase
{
    /**
     * The PhoneNumbers
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfJPSOAP_ContactNumber
     */
    public $PhoneNumbers;
    /**
     * The Faxes
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfJPSOAP_ContactNumber1
     */
    public $Faxes;
    /**
     * The Emails
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfJPSOAP_Email
     */
    public $Emails;
    /**
     * Constructor method for JPSOAP_HotelInventoryContactInfo
     * @uses JPSOAP_HotelInventoryContactInfo::setPhoneNumbers()
     * @uses JPSOAP_HotelInventoryContactInfo::setFaxes()
     * @uses JPSOAP_HotelInventoryContactInfo::setEmails()
     * @param \ArrayType\ArrayOfJPSOAP_ContactNumber $phoneNumbers
     * @param \ArrayType\ArrayOfJPSOAP_ContactNumber1 $faxes
     * @param \ArrayType\ArrayOfJPSOAP_Email $emails
     */
    public function __construct(\ArrayType\ArrayOfJPSOAP_ContactNumber $phoneNumbers = null, \ArrayType\ArrayOfJPSOAP_ContactNumber1 $faxes = null, \ArrayType\ArrayOfJPSOAP_Email $emails = null)
    {
        $this
            ->setPhoneNumbers($phoneNumbers)
            ->setFaxes($faxes)
            ->setEmails($emails);
    }
    /**
     * Get PhoneNumbers value
     * @return \ArrayType\ArrayOfJPSOAP_ContactNumber|null
     */
    public function getPhoneNumbers()
    {
        return $this->PhoneNumbers;
    }
    /**
     * Set PhoneNumbers value
     * @param \ArrayType\ArrayOfJPSOAP_ContactNumber $phoneNumbers
     * @return \StructType\JPSOAP_HotelInventoryContactInfo
     */
    public function setPhoneNumbers(\ArrayType\ArrayOfJPSOAP_ContactNumber $phoneNumbers = null)
    {
        $this->PhoneNumbers = $phoneNumbers;
        return $this;
    }
    /**
     * Get Faxes value
     * @return \ArrayType\ArrayOfJPSOAP_ContactNumber1|null
     */
    public function getFaxes()
    {
        return $this->Faxes;
    }
    /**
     * Set Faxes value
     * @param \ArrayType\ArrayOfJPSOAP_ContactNumber1 $faxes
     * @return \StructType\JPSOAP_HotelInventoryContactInfo
     */
    public function setFaxes(\ArrayType\ArrayOfJPSOAP_ContactNumber1 $faxes = null)
    {
        $this->Faxes = $faxes;
        return $this;
    }
    /**
     * Get Emails value
     * @return \ArrayType\ArrayOfJPSOAP_Email|null
     */
    public function getEmails()
    {
        return $this->Emails;
    }
    /**
     * Set Emails value
     * @param \ArrayType\ArrayOfJPSOAP_Email $emails
     * @return \StructType\JPSOAP_HotelInventoryContactInfo
     */
    public function setEmails(\ArrayType\ArrayOfJPSOAP_Email $emails = null)
    {
        $this->Emails = $emails;
        return $this;
    }
}
